<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: User PHP-Fusion Version User Field
| Type: User Profile Mod
| File: user_version_include.php
| Version: 1.06
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$arrUserPFVersion = array ("", "v7.00.00", "v7.00.01", "v7.00.02", "v7.00.03", "v7.00.04", "v7.00.05", "v7.00.06", "v7.00.07", "v7.01.00", "v7.01.01", "v7.01.02", "v7.01.03", "v7.01.04", "v7.01.05", "v7.01.06", "v7.02.00", "v7.02.01", "v7.02.02", "v7.02.03", "v7.02.04", "v7.02.05");
$v70202 = "disabled";
$v70203 = "disabled";
$v70204 = "disabled";
$v70205 = "disabled";

if ($profile_method == "input") {
$user_version = isset($user_data['user_version']) ? $user_data['user_version'] : "";
   if ($this->isError()) { $user_version = isset($_POST['user_version']) ? stripinput($_POST['user_version']) : $user_version; }
   echo "<tr>\n";
   echo "<td class='tbl".$this->getErrorClass("user_version")."'><label for='user_version'>".$locale['uf_verb'].$required."</label></td>\n";
   echo "<td class='tbl".$this->getErrorClass("user_version")."'>";
   echo "<select name='user_version' class='textbox'>\n";
   echo "<option value=''>".$locale['uf_v001']."</option>";
   echo "<option value='v7.00.00'".($user_version == 'v7.00.00' ? ' selected=selected' : '').">v7.00.00</option>";
   echo "<option value='v7.00.01'".($user_version == 'v7.00.01' ? ' selected=selected' : '').">v7.00.01</option>";
   echo "<option value='v7.00.02'".($user_version == 'v7.00.02' ? ' selected=selected' : '').">v7.00.02</option>";
   echo "<option value='v7.00.03'".($user_version == 'v7.00.03' ? ' selected=selected' : '').">v7.00.03</option>";
   echo "<option value='v7.00.04'".($user_version == 'v7.00.04' ? ' selected=selected' : '').">v7.00.04</option>";
   echo "<option value='v7.00.05'".($user_version == 'v7.00.05' ? ' selected=selected' : '').">v7.00.05</option>";
   echo "<option value='v7.00.06'".($user_version == 'v7.00.06' ? ' selected=selected' : '').">v7.00.06</option>";
   echo "<option value='v7.00.07'".($user_version == 'v7.00.07' ? ' selected=selected' : '').">v7.00.07</option>";
   echo "<option value='v7.01.00'".($user_version == 'v7.01.00' ? ' selected=selected' : '').">v7.01.00</option>";
   echo "<option value='v7.01.01'".($user_version == 'v7.01.01' ? ' selected=selected' : '').">v7.01.01</option>";
   echo "<option value='v7.01.02'".($user_version == 'v7.01.02' ? ' selected=selected' : '').">v7.01.02</option>";
   echo "<option value='v7.01.03'".($user_version == 'v7.01.03' ? ' selected=selected' : '').">v7.01.03</option>";
   echo "<option value='v7.01.04'".($user_version == 'v7.01.04' ? ' selected=selected' : '').">v7.01.04</option>";
   echo "<option value='v7.01.05'".($user_version == 'v7.01.05' ? ' selected=selected' : '').">v7.01.05</option>";
   echo "<option value='v7.01.06'".($user_version == 'v7.01.06' ? ' selected=selected' : '').">v7.01.06</option>";
   echo "<option value='v7.02.00'".($user_version == 'v7.02.00' ? ' selected=selected' : '').">v7.02.00</option>";
   echo "<option value='v7.02.01'".($user_version == 'v7.02.01' ? ' selected=selected' : '').">v7.02.01</option>";
   echo "<option ".$v70202." value='v7.02.02'".($user_version == 'v7.02.02' ? ' selected=selected' : '').">v7.02.02</option>";
   echo "<option ".$v70203." value='v7.02.03'".($user_version == 'v7.02.03' ? ' selected=selected' : '').">v7.02.03</option>";
   echo "<option ".$v70204." value='v7.02.04'".($user_version == 'v7.02.04' ? ' selected=selected' : '').">v7.02.04</option>";
   echo "<option ".$v70205." value='v7.02.05'".($user_version == 'v7.02.05' ? ' selected=selected' : '').">v7.02.05</option>";
   echo "</select></td>\n";
   echo "</tr>\n";
   
   if ($required) { $this->setRequiredJavaScript("user_version", $locale['uf_version_error']); }
   
} elseif ($profile_method == "display") {
   if ($user_data['user_version']) {
      echo "<tr>\n";
      echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_ver']."</td>\n";
      echo "<td align='right' class='tbl1'>".$locale['uf_ver2']." ".$user_data['user_version']."</td>\n";
      echo "</tr>\n";
   }
   
   // Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
   // Get input data
   if(isset($_POST['user_version']) && stripinput($_POST['user_version']!="" && in_array($_POST['user_version'], $arrUserPFVersion) || $this->_isNotRequired("user_version"))) {
  
      // Set update or insert user data
      $this->_setDBValue("user_version", stripinput($_POST['user_version']));
   } else {
      $this->_setError("user_version", $locale['uf_version_error'], true);   
   }
   }
   
?>